IBM Support

System requirements for IBM App Connect Enterprise 11.0

Product Documentation


Abstract

This document contains the system requirements for IBM App Connect Enterprise 11.0.

Content

IBM has provided customers with a Software Product Compatibility Reports (SPCR) tool where you can locate and find complete lists of supported operating systems, system requirements, prerequisites, and optional supported software for IBM App Connect Enterprise, IBM Integration Bus and WebSphere Message Broker versions, including IBM App Connect Enterprise V11.0.

The SPCR tool links to information about the minimum product levels that must be installed before opening a problem report with IBM Integration Bus Technical Support. The software versions and any maintenance levels listed in the tool have been explicitly verified as working.

Please refer to the IBM App Connect Enterprise Release Notes for the latest information.

Virtualization Environments

Defect support is available for virtualization environments where they relate to releases of this platform already supported by IBM App Connect Enterprise. IBM will not undertake to troubleshoot issues which are caused solely as a result of running in a virtualized environment.

Please also refer to:
Server virtualization policy for IBM software

The IBM App Connect Enterprise on premises installation is supported on any virtualized environment that presents an operating system image which is compatible with those described in supported system requirements. This includes docker.

When using an on premises installation IBM will provide defect support for the IBM App Connect Enterprise product but will not support any customisation written by a customer in order to present the IBM App Connect Enterprise install to the virtualization technology.  IBM would not, for example, undertake to fix a problem in a docker file that was custom written by the customer.

OT4I Docker File:
Using the docker file in ot4i IBM will provide defect support for the IBM App Connect Enterprise product and build scripts hosted on ot4i but will not support any customisation written by a customer in order to present the IBM App Connect Enterprise install to the virtualization technology.   IBM would not, for example, undertake to fix a problem in a docker file that was custom written by the customer.
The defect support provided by IBM is for customers with valid support contracts for the IBM App Connect Enterprise product where the virtualization environment presents an Operating System image that is compatible with supported system requirements

IBM App Connect Enterprise certified container (ACEcc) on IBM Cloud Pak for Integration (CP4I) / ICP / OpenShift:
For ACEcc IBM support the entire stack including  the helm charts, and images fully on Openshift + Common Services  

IBM App Connect Enterprise certified container (ACEcc) images / docker files on third party Kubernetes:
IBM will support the use of the server images only on any Kubernetes environment which uses one of the following virtualization technologies:
  • docker
  • CRI-O
  • containerd
IBM will only support the helm charts on OpenShift environments and IBM will not undertake to fix issues in configuration that is custom written by a customer in order to present the container image to other Kubernetes systems that are not OpenShift compatible. For example, custom written operators and helm charts would not be supported.  


Supported System Requirements:
The links below are located in the SPCR tool and go directly to the supported operating systems, prerequisites, system requirements, and optional supported software for the specific operating system.

IBM App Connect Enterprise 11.0 by platform

SPCR tool available for all software products:
The generic link to the IBM Software Product Compatibility Reports (SPCR) tool is below. You can access the tool for any product and obtain the supported operating systems, system requirements, and optional supported software for your product version.

Click the link below to reach the front page of SPCR:
Detailed system requirements for a specific product in SPCR

Then choose the following options to obtain the supported operating systems, system requirements, and optional supported software for your product version.

1. Select the desired product.
2. Select the desired version.
3. Select your operating system.

[{"Product":{"code":"SSDR5J","label":"IBM App Connect Enterprise"},"Business Unit":{"code":"BU004","label":"Hybrid Cloud"},"Component":"Documentation","Platform":[{"code":"PF033","label":"Windows"},{"code":"PF016","label":"Linux"}],"Version":"11.0","Edition":""}]

Product Synonym

ACE IIB WMB MB

Document Information

Modified date:
31 January 2020

UID

swg27050962